Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IContributorResourceAdapter

All Known Subinterfaces:
  IContributorResourceAdapter2

    public interface IContributorResourceAdapter

The IContributorResourceAdapter is an interface that defines the API required to get a resource that an object adapts to for use of object contributions, decorators and property pages that have adaptable = true. Implementors of this interface are typically registered with an IAdapterFactory for lookup via the getAdapter() mechanism.

Method Summary
`IResource` `getAdaptedResource(IAdaptable adaptable)` Return the resource that the supplied adaptable adapts to.

Method Detail

### getAdaptedResource

    IResource getAdaptedResource(IAdaptable adaptable)

  Return the resource that the supplied adaptable adapts to. An IContributorResourceAdapter assumes that any object passed to it adapts to one equivalent resource.

  Parameters:
    `adaptable` - the adaptable being queried
  Returns:
    a resource, or `null` if there is no adapted resource for this type

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.